import List from "../../../../core/collection/list/List";
import {HighlightDefinition} from "./HighlightDefinition";

export default class Highlight {
    elements: List<HighlightDefinition>

    add(el: HighlightDefinition): void

    remove(el: HighlightDefinition): boolean

    fromJSON(j: any): void

    toJSON(): any

    static fromOne(r: number, g: number, b: number, a?: number): Highlight
}
